/*!	
	@file
	@brief	画像読み込み用テクスチャ
*/

#ifndef CTextureFile_h
#define CTextureFile_h


#include"../Setup/CompileMode.h"
#include"../Auxiliary/mstring.h"

#include"../Storage/CStorageObject.h"

#include"CTexture.h"

namespace Maid
{
	class CTextureFile : public CTexture, public ITextureFile
	{
	public:
		CTextureFile();
		CTextureFile( const CTextureFile& rha );
		virtual ~CTextureFile();

		virtual SIZE2DI		GetSize()const;
		virtual PIXELFORMAT	GetPixelFormat()const;
		virtual mstring GetID() const;

	public:
		CTextureFile& operator = ( const CTextureFile& rha );

	protected:
		virtual void LoadedDelete( const mstring& FileName );
		virtual void LoadEnd( const SPSTORAGEFUNCTION_RETURNPARAM& param, TEXTUREINFO& info );


	private:
	};
}

#endif
